#ifndef MAIN_H
#define MAIN_H

char *terminator[] = {" Done\r\n", "No Data\r\n", "Syntax Error\r\n", "already exist\r\n"};
int terminator_count = 4;

void read_list(int fd, const char *action);
int write_list(int fd, const char *action);
void read_track(int fd, int trno);
void read_tracklist(int fd);
void delete_tracks(int fd);
void read_waypoints(int fd);
void read_routes(int fd);
void write_waypoints(int fd);
void write_routes(int fd);
int main(int argc, char *argv[]);

//  vario_send(fd, "ACT_32_00");
//  vario_send(fd, "Zuhause2        ;N   0'00.000;E   0'00.000;     0;   400");
//  vario_send(fd, "Zuhause2        ;N   0'00.000;E   0'00.000;     0;   400");

/*
  actions:
  * ACT_20_00 --- list tracklogs
  * ACT_21_07 --- recieve tracklog #7
  * ACT_30_00 --- delete all waypoints
  * ACT_31_00 --- list waypoints
  * ACT_32_00 --- send waypoint
  * ACT_40_00 --- delete all routes
  * ACT_41_00 --- list routes
  * ACT_42_00 --- send route
  * ACT_82_00 --- Write parameter
  * RFA_17    --- Request FA Parameter #17
  * RPA_17    --- Request FA Parameter #17
  */

#endif
